---
title: SVGViewElement
slug: Web/API/SVGViewElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGViewElement</code></strong> interface provides access to the properties of {{SVGElement("view")}} elements, as well as methods to manipulate them.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGViewElement.viewTarget")}}</dt>
 <dd>An {{domxref("SVGStringList")}} corresponding to the {{SVGAttr("viewTarget")}} attribute of the given {{SVGElement("view")}} element. A list of {{domxref("DOMString")}} values which contain the names listed in the {{SVGAttr("viewTarget")}} attribute. Each of the <code>DOMString</code> values can be associated with the corresponding element using the {{domxref("Document.getElementById()", "getElementById()")}} method call.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "linking.html#InterfaceSVGViewElement", "SVGViewElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Removed a mixin {{domxref("SVGExternalResourcesRequired")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#InterfaceSVGViewElement", "SVGViewElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGViewElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("view")}}</li>
</ul>
